Package org.eclipse.graphiti.features

# Interface IMoveBendpointFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IMoveFeature`, `IName`

All Known Implementing Classes:
  `DefaultMoveBendpointFeature`

public interface IMoveBendpointFeature extends IMoveFeature
The Interface IMoveBendpointFeature.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canMoveBendpoint(IMoveBendpointContext context)`
Can move bendpoint.
`boolean`
`moveBendpoint(IMoveBendpointContext context)`
Move bendpoint.

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

## Method Details

### canMoveBendpoint

boolean canMoveBendpoint(IMoveBendpointContext context)
Can move bendpoint.

Parameters:
  `context` - the context
Returns:
  true, if successful

### moveBendpoint

boolean moveBendpoint(IMoveBendpointContext context)
Move bendpoint.

Parameters:
  `context` - the context
Returns:
  true, if successful